package com.czg.enums;

import lombok.Getter;

/**
 * @author Administrator
 */

@Getter
public enum ShopUserFlowBizEnum {
    // 会员充值
    CASH_IN("cashIn", "现金充值"),
    CASHBACK("cashback", "消费返现"),
    CASHBACK_REFUND("cashbackRefund", "消费返现扣减"),

    FREE_IN("freeIn", "霸王餐充值"),
    // 重置奖励
    AWARD_IN("awardIn", "充值奖励"),
    // 微信小程序充值
    WECHAT_IN("wechatIn", "微信小程序充值"),
    // 支付宝小程序重置
    ALIPAY_IN("alipayIn", "支付宝小程序充值"),
    // 订单支付奖励
    ORDER_PAY("orderPay", "订单支付"),
    // 订单退款
    ORDER_REFUND("orderRefund", "订单退款"),
    // 充值退款
    RECHARGE_REFUND("rechargeRefund", "充值退款"),
    // 充值现金退款
    RECHARGE_CASH_REFUND("rechargeCashRefund", "会员现金退款"),
    // 管理员手动增减余额
    ADMIN_IN("adminIn", "管理员手动增减余额"),
    //管理员退款充值
//    ADMIN_REFUND("adminRefund"),
    //adminOut
    ADMIN_OUT("adminOut", "管理员退款充值"),
    RECHARGE_REDEMPTION("rechargeRedemption", "充值兑换码"),
    //adminInOut
//    ADMIN_IN_OUT("adminInOut"),
    ;
    private final String code;
    private final String msg;

    ShopUserFlowBizEnum(String code, String msg) {
        this.msg = msg;
        this.code = code;
    }
}
